<?php

	require_once(ABSPATH.'wp-admin/includes/upgrade.php');

	$sql = "CREATE TABLE ".$this->tbl_pr." (
	  	id mediumint(9) NOT NULL AUTO_INCREMENT,
	  	cdate datetime NOT NULL,		  
	  	name VARCHAR(255) NOT NULL,	
	  	anr VARCHAR(100) NOT NULL,
	  	typ VARCHAR(100) NOT NULL,
	  	partikel VARCHAR(100) NOT NULL,	  
	  	preis DOUBLE(10,2) NOT NULL,
	  	mwst INT(11) NOT NULL,
	  	feinheit VARCHAR(50) NOT NULL,
	  	fmenge DOUBLE(10,2) NOT NULL,
	  	beschreibung longtext NOT NULL,
	  	pgruppe INT(11) NOT NULL,
	  	ptemplate_file VARCHAR(255) NOT NULL,
	  	weight double(10, 2) NOT NULL,
	  	stock int(11) NOT NULL,
	  	stock_count int(1) NOT NULL,
	  	produktvars VARCHAR(255) NOT NULL,
	  	deleted INT(1) NOT NULL,
	  	downloadplus INT(1) NOT NULL,
	  	variantenplus TEXT NOT NULL,
	  	lang_parent INT(11) NOT NULL,
	  	lang_locale VARCHAR(11) NOT NULL,
	  	rabatt VARCHAR(255) NOT NULL,	  	
	  	paketdata TEXT NOT NULL,
	  	UNIQUE KEY id (id)
	);";

   	dbDelta($sql);

   	/* Tabelle für Log ClickandBuy */
   	$sql = "CREATE TABLE ".$this->tbl_cb." (
   		id mediumint(9) NOT NULL AUTO_INCREMENT,
	  	cdate datetime NOT NULL,
	  	extID varchar(255) NOT NULL,
	  	transID varchar(255) NOT NULL,
	  	eventID int(11) NOT NULL,
	  	oldState varchar(255) NOT NULL,
	  	newState varchar(255) NOT NULL,
	  	UNIQUE KEY id (id)	  
   	);";
   	
   	dbDelta($sql);
	
   	$sql = "CREATE TABLE ".$this->tbl_dp." (
   		id mediumint(9) NOT NULL AUTO_INCREMENT,
   		o_id mediumint(9) NOT NULL,
   		p_id mediumint(9) NOT NULL,
   		src_path VARCHAR(500) NOT NULL,
   		src_file VARCHAR(500) NOT NULL,   	
   		target_file VARCHAR(1000) NOT NULL,	
   		done DATETIME NOT NULL,
   		UNIQUE KEY id (id)
   	);";
   	
   	dbDelta($sql);
   	
   	$sql = "CREATE TABLE ".$this->tbl_ov." (
   		id mediumint(9) NOT NULL AUTO_INCREMENT,
   		name VARCHAR(255) NOT NULL,
   		typ VARCHAR(100) NOT NULL,
   		auswahl VARCHAR(500) NOT NULL,
   		pflicht INT(1) NOT NULL,
   		locale TEXT NOT NULL,
   		UNIQUE KEY id (id)
   	);";
   	   	
   	dbDelta($sql); 
   	
   	$sql = "CREATE TABLE ".$this->tbl_pv." (
   		id mediumint(9) NOT NULL AUTO_INCREMENT,
   		name VARCHAR(255) NOT NULL,
   		typ VARCHAR(100) NOT NULL,
   		auswahl VARCHAR(500) NOT NULL,
   		pflicht INT(1) NOT NULL,
   		locale TEXT NOT NULL,
   		UNIQUE KEY id (id)
   	);";
   	
   	dbDelta($sql);
   	
   	$sql = "CREATE TABLE ".$this->tbl_rn." (
		`id` mediumint(9) NOT NULL AUTO_INCREMENT,
		`o_id` mediumint(9) NOT NULL ,
		`datum` DATETIME NOT NULL ,
		`storno` DATETIME NOT NULL,
		`rnr` VARCHAR(255) NOT NULL,
		`gnr` VARCHAR(255) NOT NULL,
		UNIQUE KEY id (id)
	);";
   	
   	dbDelta($sql); 
   	
   	$sql = "CREATE TABLE ".$this->tbl_pg." (
   		id mediumint(9) NOT NULL AUTO_INCREMENT,
   		cdate datetime NOT NULL,
   		name VARCHAR(255) NOT NULL,
   		template_file VARCHAR(255) NOT NULL,
   		infopage INT(11) NOT NULL,
   		deleted INT(1) NOT NULL,
   		rabatt TEXT(255) NOT NULL,
   		UNIQUE KEY id (id)
   	);";
   	
   	dbDelta($sql); 
	
   	$sql = "CREATE TABLE ".$this->tbl_gs." (
   		id mediumint(9) NOT NULL AUTO_INCREMENT,
   		code VARCHAR(255) NOT NULL,
   		value DOUBLE(10,2) NOT NULL,
   		o_id INT(11) NOT NULL,
   		typ ENUM('p','pg','a') NOT NULL,
   		calc_typ ENUM('w', 'p') NOT NULL,
   		target INT(11) NOT NULL,
   		cdate datetime NOT NULL,
   		start_date datetime NOT NULL,
   		end_date datetime NOT NULL, 
   		multi INT(11) NOT NULL,
   		UNIQUE KEY id (id)
   	);";
   	
   	dbDelta($sql);
   	
   	$sql = "CREATE TABLE ".$this->tbl_at." (
   		id mediumint(9) NOT NULL AUTO_INCREMENT,
   		name varchar(100) NOT NULL,
   		typ varchar(100) NOT NULL,   		
   		UNIQUE KEY id (id)
   	);";
   	   	 
   	dbDelta($sql);
   	
   	$sql = "CREATE TABLE ".$this->tbl_pa." (
   		p_id mediumint(9) NOT NULL,
   		a_id mediumint(9) NOT NULL,
   		value varchar(255) NOT NULL,
   		locale TEXT NOT NULL
   	);";
   	
   	dbDelta($sql);
   	
   	$sql = "CREATE TABLE ".$this->tbl_or." (
   		id mediumint(9) NOT NULL AUTO_INCREMENT,
   		cdate datetime NOT NULL,
   		k_id mediumint(9) NOT NULL, 
   		ip VARCHAR(15) NOT NULL,
   		useragent VARCHAR(255) NOT NULL,
   		comment TEXT NOT NULL,
   		price_gesamt DOUBLE(10,4) NOT NULL,
   		price_shipping DOUBLE(10,4) NOT NULL,
   		price_payment DOUBLE(10,4) NOT NULL,
   		price_rabatt DOUBLE(10,4) NOT NULL,
   		price_gs DOUBLE(10,4) NOT NULL,
   		mwst_payment DOUBLE(10,4) NOT NULL,
   		mwst_shipping DOUBLE(10,4) NOT NULL,
   		type_shipping VARCHAR(255) NOT NULL,
   		type_payment VARCHAR(255) NOT NULL,
   		shipping_vname VARCHAR(255) NOT NULL,
		shipping_name VARCHAR(255) NOT NULL,				
	  	shipping_strasse VARCHAR(255) NOT NULL,
	  	shipping_hausnr VARCHAR(255) NOT NULL,
	  	shipping_plz VARCHAR(255) NOT NULL,
	  	shipping_ort VARCHAR(255) NOT NULL,
	  	shipping_land VARCHAR(100) NOT NULL,
	  	bname VARCHAR(500) NOT NULL,
		bblz VARCHAR(500) NOT NULL,
		binhaber VARCHAR(500) NOT NULL,
		payed_date datetime NOT NULL,
		bnr VARCHAR(500) NOT NULL,
		bvars TEXT NOT NULL,
		pvars text NOT NULL,
   		status int(5) NOT NULL,
   		transaction varchar(255) NOT NULL,
   		cab_externalid varchar(255) NOT NULL,
   		cab_requestTrackingID varchar(255) NOT NULL,
   		cab_transactionID varchar(255) NOT NULL,
   		cab_transactionStatus varchar(255) NOT NULL,
   		cab_started datetime NOT NULL,
   		cab_lastupdate datetime NOT NULL,
   		cab_paylink varchar(5000) NOT NULL,
   		cab_repayed double(10,2) NOT NULL,   		
   		dp_cron_planed datetime NOT NULL,
   		dp_cron_done datetime NOT NULL,
   		gs_id INT(11) NOT NULL,
   		custom_data TEXT NOT NULL,	   			
   		UNIQUE KEY id (id)
   	);";
   	
   	dbDelta($sql);

   	$sql = "CREATE TABLE ".$this->tbl_op." (
   		id mediumint(9) NOT NULL AUTO_INCREMENT,
   		o_id mediumint(9) NOT NULL,
   		p_id mediumint(9) NOT NULL,
   		menge mediumint(9) NOT NULL,
   		price DOUBLE(10,4) NOT NULL,
   		v_id mediumint(9) NOT NULL,
   		mwst double(4,2) NOT NULL,
   		mod_downloadprodukt_counter int(11) NOT NULL,
   		mod_vp_varkey VARCHAR( 255 ) NOT NULL, 
   		UNIQUE KEY id (id) 
   	);";
   	
   	dbDelta($sql);

   	$sql = "CREATE TABLE ".$this->tbl_ku." (
   		id mediumint(9) NOT NULL AUTO_INCREMENT,
   		paypal_payer_id VARCHAR(255) NOT NULL,
   		name VARCHAR(255) NOT NULL,	   			
   		vname VARCHAR(255) NOT NULL,
   		email VARCHAR(255) NOT NULL,
   		firma VARCHAR(255) NOT NULL,
   		tel VARCHAR(255) NOT NULL,
   		fax VARCHAR(255) NOT NULL,
   		strasse VARCHAR(255) NOT NULL,
   		hausnr VARCHAR(255) NOT NULL,
   		plz VARCHAR(255) NOT NULL,
   		ort VARCHAR(255) NOT NULL,
   		land VARCHAR(100) NOT NULL, 
   		ustidnr VARCHAR(100) NOT NULL,
   		comment TEXT NOT NULL,
   		UNIQUE KEY id (id) 
   	);";
   	
   	dbDelta($sql);

   	$sql = "CREATE TABLE ".$this->tbl_mw." (
   		id mediumint(9) NOT NULL AUTO_INCREMENT,
   		bezeichnung VARCHAR(255) NOT NULL,
   		value DOUBLE(4,2) NOT NULL,
   		UNIQUE KEY id (id)
   	);";
   	
   	dbDelta($sql);
   	
   	$bMwst = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_mw."` WHERE `value` = '19'");
   	if ($bMwst <= 0)
   	{   	
   		$this->db->ImportQuery($this->tbl_mw, array(
   			"bezeichnung" => "Normaler Satz",
   			"value" => "19"
   		));
   	}

   	/*
	$bExists = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_tp."` WHERE `id` = '2'");
	if ($bExists <= 0)
	{
		$this->db->importQuery($this->tbl_tp, array(
			"id" => 2,
			"ref" => 0,
			"value" => "Bestellbestätigung

Vielen Dank für Ihre Bestellung. Sie erhalten hiermit die Bestellbestätigung mit allen wichtigen Informationen zu Ihrer Bestellung.
----------------------------------------------------------------------------

Lieferadresse:

Name: ###shipping_vname### ###shipping_name###
Straße: ###shipping_strasse### ###shipping_hausnr###
Ort: ###shipping_plz### ###shipping_ort### ###shipping_land###

Rechnungsadresse:

Firma: ###firma###
Name: ###vname### ###name###
Straße: ###strasse### ###hausnr###
Ort: ###plz### ###ort### ###land###
Telefon: ###tel###
Fax: ###fax###
E-Mail-Adresse: ###email###
UStIDNr.: ###ustidnr###

Kundennummer: ###k_id###
Auftragsnummer: ###o_id###
Bestelltag: ###datum###
 
Bestellung:
----------------------------------------------------------------------------
 
###bestellung###

----------------------------------------------------------------------------

Ihr Kommentar während der Bestellung:
###comment###

Bemerkungen zur Bestellung:
###bemerkung###

Versandart:                      ###shipping###
Zahlungsart:                     ###payment###

Zwischensumme:                   ###summe_zwischen### ###wahrung###
Enthaltene MwSt.:                ###summe_mwst### ###wahrung###

Versandkosten:                   ###summe_shipping### ###wahrung###
Kosten für Zahlungsmethode:      ###summe_payment### ###wahrung###

Gesamtpreis:                     ###summe_gesamt### ###wahrung###

----------------------------------------------------------------------------
 
Wir bedanken uns fuer Ihre Bestellung. 

Bitte beachten Sie, dass es sich bei dieser E-Mail um eine Bestellbestaetigung und keine bindende Auftragsbestaetigung handelt.
Preisirrtuemer sind leider nicht vollstaendig auszuschliessen.  Wir weisen ausdruecklich darauf hin, dass der Vorbehalt der Selbstbelieferung in unseren Allgemeinen Geschaeftsbedingungen vereinbart ist. 

Es gelten unsere Allgemeinen Geschaeftsbedingungen (AGB).

###AGB_LINK###

-- Widerrufsbelehrung --

...hier steht der Text zum Widerrufsrecht...

Siehe http://www.bmj.bund.de/enid/Schuldrecht/Informationspflichten_nach_buergerlichem_Recht_und_Musterbelehrungen_1f7.html für weitere Informationen.

-- Ende der Widerrufsbelehrung --

Mit freundlichen Grüßen

Shop Team
"));
	}
	
	$bExists = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_tp."` WHERE `id` = '3'");
	if ($bExists <= 0)
	{
		$this->db->importQuery($this->tbl_tp, array(
			"id" => 3,
			"value" => "Hallo ###vname### ###name###

Ihre Bezahlung zu der Bestellung ###o_id### ist bei uns eingegangen.

Die Produkte, die als Download vorliegen wurden für Sie freigeschaltet. 

###links###

Sie haben für ###tage### Tage die Möglichkeit die Dateien herunterzuladen.

Viele Grüße
Shop Team

"));		
	}
	
	$bExists = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_tp."` WHERE `id` = '4'");
	if ($bExists <= 0)
	{
		$this->db->importQuery($this->tbl_tp, array(
			"id" => 4,
			"value" => "Hallo Shop Betreiber,

Eingang einer neuen Bestellung

-------------------------------------------------------------------------

Lieferadresse:

Name: ###shipping_vname### ###shipping_name###
Straße: ###shipping_strasse### ###shipping_hausnr###
Ort: ###shipping_plz### ###shipping_ort### ###shipping_land###

Rechnungsadresse:

Firma: ###firma###
Name: ###vname### ###name###
Straße: ###strasse### ###hausnr###
Ort: ###plz### ###ort### ###land###
Telefon: ###tel###
Fax: ###fax###
E-Mail-Adresse: ###email###
UStIDNr.: ###ustidnr###

Kundennummer: ###k_id###
Auftragsnummer: ###o_id###
Bestelltag: ###datum###
 
Bestellung:
-------------------------------------------------------------------------
 
###bestellung###

-------------------------------------------------------------------------

Kommentar während der Bestellung:
###comment###

Versandart:                      ###shipping###
Zahlungsart:                     ###payment###

Zwischensumme:                   ###summe_zwischen### ###wahrung###
Versandkosten:                   ###summe_shipping### ###wahrung###
Kosten für Zahlungsmethode:      ###summe_payment### ###wahrung###
###mod###
Gesamtpreis:                     ###summe_gesamt### ###wahrung###
Enthaltene MwSt.:                ###summe_mwst### ###wahrung### 
"));
	}
	
	$bExists = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_tp."` WHERE `id` = '5'");
	if ($bExists <= 0)
	{
		$this->db->importQuery($this->tbl_tp, array(
			"id" => 5,
			"value" => "Bestellbestätigung

Vielen Dank für Ihre Bestellung. Sie erhalten hiermit die Bestellbestätigung mit allen wichtigen Informationen zu Ihrer Bestellung.
-------------------------------------------------------------------------

Lieferadresse:

Name: ###shipping_vname### ###shipping_name###
Straße: ###shipping_strasse### ###shipping_hausnr###
Ort: ###shipping_plz### ###shipping_ort### 

Rechnungsadresse:

Firma: ###firma###
Name: ###vname### ###name###
Straße: ###strasse### ###hausnr###
Ort: ###plz### ###ort###
Telefon: ###tel###
Fax: ###fax###
E-Mail-Adresse: ###email###

Kundennummer: ###k_id###
Auftragsnummer: ###o_id###
Bestelltag: ###datum###
 
Bestellung:
-------------------------------------------------------------------------
 
###bestellung###

-------------------------------------------------------------------------

Ihr Kommentar während der Bestellung:
###comment###

Versandart:                      ###shipping###
Zahlungsart:                     ###payment###

Zwischensumme:                   ###summe_zwischen### ###wahrung###
Enthaltene MwSt.:                ###summe_mwst### ###wahrung###  

Versandkosten:                   ###summe_shipping### ###wahrung###
Kosten für Zahlungsmethode:      ###summe_payment### ###wahrung###
###mod###
Gesamtpreis:                     ###summe_gesamt### ###wahrung###

-------------------------------------------------------------------------
 
Wir bedanken uns fuer Ihre Bestellung. 

Bitte beachten Sie, dass es sich bei dieser E-Mail um eine Bestellbestaetigung und keine bindende Auftragsbestaetigung handelt.
Preisirrtuemer sind leider nicht vollstaendig auszuschliessen.  

Es gelten unsere Allgemeinen Geschaeftsbedingungen (AGB).

###AGB_LINK###

-- Widerrufsbelehrung --
###Widerruf_start###

...hier steht der Text zum Widerrufsrecht...

Siehe http://www.bmj.bund.de/enid/Schuldrecht/Informationspflichten_nach_buergerlichem_Recht_und_Musterbelehrungen_1f7.html für weitere Informationen.

###Widerruf_ende###
-- Ende der Widerrufsbelehrung --

Mit freundlichen Grüßen

Shop Team
"));
	}
	
	$bExists = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_tp."` WHERE `id` = '6'");
	if ($bExists <= 0)
	{
		$this->db->importQuery($this->tbl_tp, array(
			"id" => 6,
			"value" => "Hallo ###VNAME### ###NAME###,

Der Status ihrer Bestellung vom ###DATUM### mit der Bestellnummer ###BESTNR### hat sich von \"###STATUS_ALT###\" auf \"###STATUS_NEU###\" geändert.

Dies ist eine automatisch generierte Mail.

Mit freundlichen Grüßen

Shop Team"));
	}
	
	$bExists = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_tp."` WHERE `id` = '7'");
	if ($bExists <= 0)
	{
		$this->db->importQuery($this->tbl_tp, array(
			"id" => 7,
			"value" => "<label><input checked=\"checked\" onclick=\"switchVari(###p_id###, ###var_id###);\" type=\"radio\" name=\"vari\" value=\"###var_id###\"/> ###var_name### (<span id=\"var_preis_###var_id###\">###var_preis###</span>###wahrung### / <span id=\"var_weight_###var_id###\">###var_weight###</span>###mod_weight_unit###)</label><br />
<script type=\"text/javascript\">
  if(typeof switchVari == 'function') { 
    switchVari(###p_id###, ###var_id###);
  }
</script>"));
	}
	*/
	
	$sql = "CREATE TABLE ".$this->tbl_ol." (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
		o_id mediumint(9) NOT NULL,
		cdate datetime NOT NULL,
		title VARCHAR(255) NOT NULL,
		mailtext TEXT,
		UNIQUE KEY id (id)
	);";
	
	dbDelta($sql);
	
	// Varianten
	$sql = "CREATE TABLE ".$this->tbl_vr." (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
		weight double(10,2) NOT NULL,	
		p_id mediumint(9) NOT NULL,
		preis DOUBLE(10,2) NOT NULL,
		name VARCHAR(255) NOT NULL,
		deleted INT(1) NOT NULL,	
		stock INT(11) NOT NULL,	
		locale TEXT NOT NULL,		
	  	UNIQUE KEY id (id)
	);";
	    	
   	dbDelta($sql);
   	  
   	$sql = "CREATE TABLE ".$this->tbl_lr." (
		id mediumint(9) NOT NULL AUTO_INCREMENT,				
		name VARCHAR(255) NOT NULL,
		vz TEXT NOT NULL,
		mwst VARCHAR(10) NOT NULL,		
		typ ENUM('w', 's', 'g') NOT NULL,
		kosten VARCHAR(500) NOT NULL,
		deleted INT(1) NOT NULL,
		locale TEXT NOT NULL,
	  	UNIQUE KEY id (id)
	);";
	
   	dbDelta($sql);
   	
   	$bCount = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_lr."`");
   	
   	if ($bCount == 0)
   	{
   		$this->db->ImportQuery($this->tbl_lr, array(
   			"id" => 1,
   			"name" => "DHL Paket",
   			"kosten" => "6.90",
   			"mwst" => "0.00"
   		));
   	}
   			   	
	$sql = "CREATE TABLE ".$this->tbl_la." (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
		bezeichnung VARCHAR(255) NOT NULL,
		kuerzel VARCHAR(10) NOT NULL,
		vz mediumint(9) NOT NULL,
		mwst mediumint(9) NOT NULL,
		UNIQUE KEY id (id)
	);";
	
	dbDelta($sql);
	
	$sql = "CREATE TABLE ".$this->tbl_vz." (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
		bezeichnung VARCHAR(255) NOT NULL,
		UNIQUE KEY id (id)		
	);";
	
	dbDelta($sql);
	
	$bExists = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_la."` WHERE `bezeichnung` = 'Deutschland'");
	if ($bExists <= 0)
	{
		$this->db->ImportQuery($this->tbl_la, array(
			"bezeichnung" => "Deutschland",
			"kuerzel" => "DE"
		));
	} 
	
?>